Révolution financière… sous tension – Une faille mystérieuse sur le Lightning Network de Bitcoin

Une révolution déjà mise à l’épreuve – Même pas un mois après la découverte d’une première faille, le réseau Lightning Network fait à nouveau parler de lui. Une nouvelle vulnérabilité a été repérée, mais un correctif a été déployé et il semblerait qu’elle n’ait pas (encore) été exploitée.

Une faille mystérieuse sur le LN

Dans la nuit du 8 au 9 octobre, le responsable de l’ingénierie cryptographique chez Lightning Labs, Conner Fromknecht, a informé la communauté d’une faille dans le Lightning Network Deamon, la fameuse implémentation lnd du Lightning Network de Bitcoin.

Ainsi, l’ensemble des nœuds en version 0.10.X et inférieure sont encore vulnérables. Heureusement, il semblerait que cette vulnérabilité n’ait pas encore été exploitée. Cependant, Fromknecht presse les opérateurs de nœuds tournant sous lnd d’effectuer la mise à jour vers la version 0.11.0.

« Bien que nous n’ayons aucune raison de croire que ces vulnérabilités aient été exploitées, nous demandons vivement à la communauté de passer à la version 0.11.0 ou supérieure dès que possible. » – Mail de Conner Fromknecht

Pour des raisons de sécurité et pour laisser le temps à tous les nœuds de se mettre à niveau, Fromknecht n’a pas publié les détails de la faille. Ces derniers devraient être publiés aux alentours du 20 octobre.

« Nous publierons plus de détails à ce sujet dans les semaines à venir, ainsi qu’un programme complet de bug bounty. »

En attendant, si vous êtes détenteurs d’un nœud lnd, il est impératif d’effectuer la mise à jour vers la version 0.11.0.

L’article Révolution financière… sous tension – Une faille mystérieuse sur le Lightning Network de Bitcoin est apparu en premier sur Journal du Coin.

[…]
En savoir plus